/**
 * ABI_智慧党建管理分析平台
 * 组织生活
 */

import * as organizationalLifeData from "../../data/organizationalLife";
import * as configEnum from "../../config/enum";

/**
 * ABI 组织生活
 * @returns {activityCount:"活动开展次数", dataList:"组织生活扇形图"}
 */
export async function getActivityCount() {
    let activityCount = await organizationalLifeData.groupFindActivityCount({});

    let activityList = [];
    for(let key in configEnum.ACTIVITYTYPE) {
        let anyKey:any = key;
        if (isNaN(anyKey)) {
            let keyStr = key;
            let partyActivityType = configEnum.ACTIVITYTYPE[key];
            let count = await organizationalLifeData.groupFindActivityCount({partyActivityType});
            activityList.push({key:keyStr, value:count});
        }
    }

    return { activityCount:{title:"活动开展次数", value: activityCount}, dataList:{title:"组织生活扇形图", list: activityList}};
}
