/**
 * 小程序端 党员入口 党建首页路由
 */

import * as baseBiz from '../../biz/applet/base';
import * as asyncHandler from 'express-async-handler';
import { eccReqParamater } from '../../util/verificationParam';
import { checkAppletToken } from '../../middleware/user';

export function setRouter(httpServer) {
    httpServer.post('/partymember/home', checkAppletToken, asyncHandler(homeBase));
    httpServer.post('/partymember/information', checkAppletToken, asyncHandler(informationBase));
}


/**
 * 党建首页基础数据
 * @param req 
 * @param res 
 */
async function homeBase(req, res) {
    let branchName = parseInt(req.headers.branchid);
    let baseInfo = await baseBiz.homeData(branchName);
    res.success(baseInfo);
}


/**
 * 党建首页党建资讯列表
 * @param req 
 * @param res 
 */
async function informationBase(req, res) {
    let branchName = req.headers.branchid;
    let reqConf = {informationType:'Number'};
    let {informationType} = eccReqParamater(reqConf, req.body);

    let informationInfo = await baseBiz.informationData(informationType, branchName);
    res.success(informationInfo);
}