/**
 * 小程序端 党员入口 党建资讯
 */

import * as partyInforMationBiz from '../../biz/applet/partyMember/partyInforMation';
import * as asyncHandler from 'express-async-handler';
import { eccReqParamater } from '../../util/verificationParam';
import { checkAppletToken } from '../../middleware/user';
 
export function setRouter(httpServer) {
    httpServer.post('/partymember/partyInforMation/create', checkAppletToken, asyncHandler(createPartyInformation));
}
 

/**
 * 创建党员
 * @param req 
 * @param res 
 */
async function createPartyInformation(req, res) {
    let reqConf = {form: 'Object' };
    let { form } = eccReqParamater(reqConf, req.body);
    
    let result = await partyInforMationBiz.createPartyInformation(form);
    res.success(result);
}
